> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Statistics > Used to get general statistics for your project over a given time period. ## OpenAPI ````json POST /analytics/statistics { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/analytics/statistics": { "post": { "summary": "Statistics", "description": "Used to get general statistics for your project over a given time period.", "operationId": "analytics-statistics", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "from", "to" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "from": { "type": "string", "description": "Start date for the analytics query (YYYY-MM-DD)" }, "to": { "type": "string", "description": "End date for the analytics query (YYYY-MM-DD)" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "object", "properties": { "new_users": { "type": "object", "properties": { "totals": { "type": "object", "properties": { "amount": { "type": "string" } } } } }, "total_sessions": { "type": "object", "properties": { "totals": { "type": "object", "properties": { "amount": { "type": "string" } } } } }, "unique_sessions": { "type": "object", "properties": { "totals": { "type": "object", "properties": { "amount": { "type": "string" } } } } }, "total_sessions_time": { "type": "object", "properties": { "totals": { "type": "object", "properties": { "amount": { "type": "string" } } } } }, "avg_session_time": { "type": "object", "properties": { "totals": { "type": "object", "properties": { "amount": { "type": "integer" } } } } } } } } }, "examples": { "Totals": { "value": { "success": "true", "code": "200", "data": { "new_users": { "totals": { "amount": "375" } }, "total_sessions": { "totals": { "amount": "43" } }, "unique_sessions": { "totals": { "amount": "9" } }, "total_sessions_time": { "totals": { "amount": "5231" } }, "avg_session_time": { "totals": { "amount": "121" } } } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Analytics Methods" ] } } } } ````